--
-- Created by IntelliJ IDEA.
-- User: admin
-- Date: 5/07/2014
-- Time: 10:19 PM
-- To change this template use File | Settings | File Templates.
--

local Ace = LibStub("AceAddon-3.0")
local Comergy2 = Ace:GetAddon("Comergy2")
if Comergy2.class ~= "ROGUE" and Comergy2.class ~= "DRUID" then
    return
end

local proto = Comergy2:GetProtoType_Secondary()

proto.displayname = "ComboPoints"
proto.POWER_TYPE_TEXT = "COMBO_POINTS"
proto.POWER_TYPE = 4

--noinspection UnusedDef
local Comergy2_Combo = Comergy2:NewModule("Comergy2_Combo", proto)

Comergy2_Combo.OnUpdate = function(self)
    self:UpdatePower()
    if true then
        self:UpdateAnticipation()
    end
    self:UpdateFlash()
end

Comergy2_Combo.UpdateAnticipation = function(self)
    --noinspection UnusedDef
    local name, rank, icon, antic = UnitAura("player", "Anticipation")
    antic = antic or 0

    if antic ~= self.antic then
        self.antic = antic
        for i = 1, #self.cells do
            if antic >= i then
                self.cells[i].bg:SetAlpha(1)
            else
                self.cells[i].bg:SetAlpha(0)
            end
        end
    end
end
